//
//  Created by Lukas Hlavaty on 04.01.17.
//  Copyright (c) 2017 Lukas Hlavaty. All rights reserved.
//
#ifndef GAMEENGINE_H
#define GAMEENGINE_H
#include "Player.h"
#include "StrukturyIncl.h"
#include "VKostkyAnalyzer.h"
#include "Statistika.h"
#include "GUI.h"


class GameEngine
{


    public:
        GameEngine();
        virtual ~GameEngine();
        //nastavuje limit ukonceni hry a limit zapisu skore
        void inicializace(int endScore, int minScore);
        //hlavni metoda hry, ridici prubeh hrani
        void play(bool newGame);
        //metoda ridici hazeni hrace
        void fazeHazeni(bool pc);
        bool vyhra();   //vrati true, pokud jeden z hracu vyhral

        //naplni pracovni pole kostek, hodnotami poslednich hodu, vola buble sort
        void naplnPolePosledniHod(Player* hrac);
        void bubleSort();

        void vypisPolePosledniHod();
        void vypisNalezenychKombinaci();
        void analyzujStat();
        void analyzujStat2();

        void resetujOdlozenaCisla();
        void zapisDoOdlozenychCisel(std::vector<sKostkaPoradi> odlozenaKomb);

        void gameReset();
    protected:
        sKostkaPoradi m_posledniHod[6];
    private:
        Player* m_PL;
        Player* m_AI;
        VKostkyAnalyzer* m_Analyzer;
        Statistika* m_Statistika;
        GUI* m_GUI;
        int m_EndScore; //skore ktereho musi hrac dosahnout pro pripad vyhry
        int m_MinScore; //minimalni skore nutne dosahnout pro moznost zapisu v 1 kole
        int m_docasneSkore;
        std::vector<int> m_odlozeneCisla;
};

#endif // GAMEENGINE_H
