//
//  Created by Lukas Hlavaty on 04.01.17.
//  Copyright (c) 2017 Lukas Hlavaty. All rights reserved.
//

#ifndef STATISTIKA_H
#define STATISTIKA_H
#include <vector>
#include "VKostkyAnalyzer.h"

struct bodyCetnost
{
    unsigned int body;
    unsigned int cetnost;
};

struct coHrat
{
    bool hratDal;
    int indexKomb;
};

struct Vahy
{
    int horni;
    int stredni;
    double ptsHorni;
    double ptsStredni;
    double ptsDolni;
};

class Statistika
{
    public:
        Statistika();
        virtual ~Statistika();

        double calculateBinom(int n, int k, double p);
        double zpoctiKombCislo(int n, int k);
        double mocnina(double zaklad, int exponent);

        coHrat vyberPostup(std::vector<sKombinace> m_nalezeneKombinace, int pocetOdlozenych, int skoreKolo);
        void analyzujStat(int pocetPouzitychKostek, int pocetOdlozenychKostek, int docasneSkore);
        void generujkombinace(int pocetKostek); //generuje vsechny mozne bodove kombinace pro dany pocet kostek
        void vlozZaznamDoBodyCetnost();
        void vypisBodyCetnos();
        void vymazBodyCetnost();
        void bubleSort();
        double zpoctiPtsUspechu();
        double zpoctiPrumerBodu();
        double zpoctiPtsXtice(); //zpocte pts ze padne trijce, ctverice, nebo petice
        //double zpoctiMedianBodu();
    protected:

    private:
        VKostkyAnalyzer* m_Analyzer;
        std::vector<bodyCetnost> m_bodyCetnost; //uklada pro kazdy bodovy zisk, kolika moznostmi je jej mozne dosahnout
        sKostkaPoradi hod[6];
        double m_ptsUspechu;
        int m_pocetVsechKombinaci;
        Vahy m_vahy;
};

#endif // STATISTIKA_H
