//
//  Created by Lukas Hlavaty on 04.01.17.
//  Copyright (c) 2017 Lukas Hlavaty. All rights reserved.
//
#include "GUI.h"

GUI::GUI()
{
    m_statistika= new Statistika();
}

GUI::~GUI()
{
    delete(m_statistika);
}

void GUI::vypisPanelPrubezneSkore(Player* p1, Player* p2)
{
    cout<<"\t================================================================================="<<endl;
    if (p1->get_stavSkore()>=1000)
    {
        if (p2->get_stavSkore()>=1000)
            cout<<"\t|\tSkore hrac: "<<p1->get_stavSkore()<<"\t\t\t\t  Skore PC: "<<p2->get_stavSkore()<<"\t|"<<endl;
        else
            cout<<"\t|\tSkore hrac: "<<p1->get_stavSkore()<<"\t\t\t\t  Skore PC: "<<p2->get_stavSkore()<<"\t\t|"<<endl;
    }
    else
    {
        if (p2->get_stavSkore()>=1000)
            cout<<"\t|\tSkore hrac: "<<p1->get_stavSkore()<<"\t\t\t\t\t  Skore PC: "<<p2->get_stavSkore()<<"\t|"<<endl;
        else
            cout<<"\t|\tSkore hrac: "<<p1->get_stavSkore()<<"\t\t\t\t\t  Skore PC: "<<p2->get_stavSkore()<<"\t\t|"<<endl;
    }

}

void GUI::vypisHodu(sKostkaPoradi pole[])
{
    zmenbarvu("f2");
    cout<<"\t================================================================================="<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\tHod: ";
    for (int i=0; i<6; i++)
    {
        if (pole[i].hodnota!=0)
            cout<<pole[i].hodnota<<" ";
        else
            cout<<"  ";
    }

    cout<<"\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t================================================================================="<<endl;

}

void GUI::vypisNalezenychKombinaci(std::vector<sKombinace> kombinace, std::vector<int> odlozene, int docasne, bool pc)
{
    zmenbarvu("f0");
    if (pc)
       zmenbarvu("f9");
    int bodyCelkem= 0;
    for (int i=0; i<kombinace.size(); i++)
        bodyCelkem += kombinace[i].body;

    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    if (kombinace.size()==0)
    {
        zmenbarvu("fC");
        cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
        cout<<"\t|\t\tPadle kombinace: Nepadla zadna bodova kombinace.";
        cout<<"\t\t|"<<endl;
    }
    else
    {
        cout<<"\t|\t\t\t\t\t  body\t  pts\t\tvolba\t\t|"<<endl;
        cout<<"\t|\tPadle kombinace: ";
        cout<<"1) ";
        for (int i=0; i<kombinace[0].kostkyKombinace.size(); i++)
        {
            cout<<kombinace[0].kostkyKombinace[i].hodnota<<" ";
        }

        m_statistika->generujkombinace(6-kombinace[0].kostkyKombinace.size()-odlozene.size());
        if (jeKombinaceVybrana(1))
        {
            if (kombinace[0].kostkyKombinace.size()>5)
                cout<<"  "<<kombinace[0].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t"<<"<=="<<"\t\t|"<<endl;
            if (kombinace[0].kostkyKombinace.size()>1 && kombinace[0].kostkyKombinace.size()<6)
                cout<<"\t  "<<kombinace[0].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t"<<"<=="<<"\t\t|"<<endl;
            if (kombinace[0].kostkyKombinace.size()==1)
                cout<<"\t\t  "<<kombinace[0].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t"<<"<=="<<"\t\t|"<<endl;
        }
        else
        {
            if (kombinace[0].kostkyKombinace.size()>5)
                cout<<"  "<<kombinace[0].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t\t\t|"<<endl;
            if (kombinace[0].kostkyKombinace.size()>1 && kombinace[0].kostkyKombinace.size()<6)
                cout<<"\t  "<<kombinace[0].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t\t\t|"<<endl;
            if (kombinace[0].kostkyKombinace.size()==1)
                cout<<"\t\t  "<<kombinace[0].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t\t\t|"<<endl;
        }
        m_statistika->vymazBodyCetnost();

        for (int i=1; i<kombinace.size(); i++)
        {
            m_statistika->generujkombinace(6-kombinace[i].kostkyKombinace.size()-odlozene.size());
            cout<<"\t|\t\t\t "<<i+1<<") ";
            for (int j=0; j<kombinace[i].kostkyKombinace.size(); j++)
            {
                cout<<kombinace[i].kostkyKombinace[j].hodnota<<" ";
            }

            if (jeKombinaceVybrana(i+1))
            {
                if (kombinace[i].kostkyKombinace.size()>5)
                    cout<<"  "<<kombinace[i].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t"<<"<=="<<"\t\t|"<<endl;
                if (kombinace[i].kostkyKombinace.size()>1 && kombinace[0].kostkyKombinace.size()<6)
                    cout<<"\t  "<<kombinace[i].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t"<<"<=="<<"\t\t|"<<endl;
                if (kombinace[i].kostkyKombinace.size()==1)
                    cout<<"\t\t  "<<kombinace[i].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t"<<"<=="<<"\t\t|"<<endl;
            }
            else
            {
                if (kombinace[i].kostkyKombinace.size()>5)
                    cout<<"  "<<kombinace[i].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t\t\t|"<<endl;
                if (kombinace[i].kostkyKombinace.size()>1 && kombinace[0].kostkyKombinace.size()<6)
                    cout<<"\t  "<<kombinace[i].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t\t\t|"<<endl;
                if (kombinace[i].kostkyKombinace.size()==1)
                    cout<<"\t\t  "<<kombinace[i].body<<"\t  "<<m_statistika->zpoctiPtsUspechu()<<"\t\t\t|"<<endl;
            }
            m_statistika->vymazBodyCetnost();
        }

    }
    cout<<"\t|\t\t\t ---------------------\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t     Soucet hodu: "<<bodyCelkem<<"\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t  Celkem za kolo: "<<docasne+bodyCelkem<<"\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\tOdlozene: ";
    for (int i=0; i<odlozene.size(); i++)
        cout<<odlozene[i]<<" ";
    if(odlozene.size()<3)
        cout<<"\t";
    cout<<"\t\t\t\t|"<<endl;

    cout<<"\t================================================================================="<<endl;
    if (pc)
    {
        cout<<"\t\t\t\t";
        system("pause");
    }

}

bool GUI::jeKombinaceVybrana(int indx)
{
    if (m_vybraneKombinace.size()>0)
    {
        for (int i=0; i<m_vybraneKombinace.size(); i++)
            if (m_vybraneKombinace[i]==indx)
                return true;
    }
    return false;
}

void GUI::vypisKonecKola(int skoreCelkem, int skoreKolo)
{
    system("cls");
    cout<<"\t================================================================================="<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t-=Konec kola=-\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    if (skoreKolo>=100)
        cout<<"\t|\t\tPripsane skore kola: "<<skoreKolo<<"\t\t\t\t\t|"<<endl;
    else
        cout<<"\t|\t\tPripsane skore kola: "<<skoreKolo<<"\t\t\t\t\t\t|"<<endl;
    if (skoreCelkem>=100)
        cout<<"\t|\t\tCelkove skore hrace: "<<skoreCelkem<<"\t\t\t\t\t|"<<endl;
    else
        cout<<"\t|\t\tCelkove skore hrace: "<<skoreCelkem<<"\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t================================================================================="<<endl;
    system("pause");
    system("cls");
}

void GUI::vyberkombinace(std::vector<sKombinace> kombinace)
{
    if (kombinace.size()>0)
    {
        cout<<"\t================================================================================="<<endl;
        cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
        cout<<"\t|\t\t\t\tVyber kombinaci\t\t\t\t\t|"<<endl;
        cout<<"\t|\t\t\t\t---------------\t\t\t\t\t|"<<endl;
        cout<<"\t| Zadejte cislo kombinace, kterou chcete pridat/odebrat a stisknete ENTER.\t|"<<endl;
        cout<<"\t| Pro ukonceni zadavani zadejte cislo \"0\".\t\t\t\t\t|"<<endl;
        cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
        cout<<"\t---------------------------------------------------------------------------------"<<endl;
    }
}

bool GUI::zobrazKolo(std::vector<sKombinace> kombinace, std::vector<int> odlozene, int docasne, bool pc, sKostkaPoradi pole[], Player* p1, Player* p2)
{
    if (!pc)
    {
        char vyber;
        int vyber2=-1;
        int skoreSuma= docasne;
        for (int i=0; i<kombinace.size(); i++)
            skoreSuma += kombinace[i].body;

        while (vyber2!=0)
        {
            vypisPanelPrubezneSkore(p1, p2);
            vypisHodu(pole);
            vypisNalezenychKombinaci(kombinace, odlozene, docasne, pc);
            vyberkombinace(kombinace);
            cout<<"\t  Vyber: "; cin>>vyber;
            vyber2= vyber -'0';

            if (vyber2 < 0 || vyber2 > kombinace.size())
            {
                while (vyber2 < 0 || vyber2 > kombinace.size())
                {
                    vypisChybaZadani();
                    vyber2= 0;

                    vypisPanelPrubezneSkore(p1, p2);
                    vypisHodu(pole);
                    vypisNalezenychKombinaci(kombinace, odlozene, docasne, pc);
                    vyberkombinace(kombinace);
                    cout<<"\t  Vyber: ";
                    cin>>vyber;
                    vyber2= vyber -'0';
                }
            }

            //nelze koncit
            if (vyber2==0 && skoreSuma<350 && m_vybraneKombinace.size()==0)
            {
                vypisNelzeUkoncitKolo();
                vyber2= -1;
            }

            //vyber/odebrani kombinace
            if (vyber2>0)
            {
                bool pridano = pridejOdeberVyber(vyber2);
                vypisPridanoOdebrano(pridano);
            }

            //koncime, bodu je dost
            if (vyber2==0 && (skoreSuma>=350 || m_vybraneKombinace.size()>0))
            {
                int pokracovat= 1;

                if (skoreSuma<350)
                    pokracovat= 1;
                else
                    pokracovat = pokracovatVHazeni();

                if (pokracovat == 1 && m_vybraneKombinace.size()== 0)
                {
                    vypisChybaNutneVybratKombinaci();
                    vyber2=-1;
                }

                if (pokracovat == 1 && m_vybraneKombinace.size()>0)
                {
                    system("cls");
                    return true; //vracim udaj, ze budeme pokracovat
                }
                //je vybrana nejaka kombinace - pokracovat?
                if (pokracovat == 2)
                {
                    system("cls");
                    return false; //pokracovat jiz nebudem, ber vsechny kombinace kola
                }
            }

            system("cls");
        }
    }
    else
    {
        if (pc)
            cout<<endl<<"\t|\t\t\t\t  Hraje pocitac\t\t\t\t\t|"<<endl;
        vypisPanelPrubezneSkore(p1, p2);
        vypisHodu(pole);
        vypisNalezenychKombinaci(kombinace, odlozene, docasne, pc);
    }
}

void GUI::hraDoPlnych()
{
    zmenbarvu("f3");
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t-=Obsazeny vsechny kostky. Hra do plnych!=-\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t================================================================================="<<endl;
    cout<<"\t";
    system("pause");
    system("cls");
    zmenbarvu("f2");
}

int GUI::pokracovatVHazeni()
{
    int pokracovat= 1;

    system("cls");
    cout<<"\t================================================================================="<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t  Prejete si pokracovat v hazeni?\t\t\t\t|"<<endl;
    cout<<"\t|\t\t  Pro ANO zadejte 1, pro NE zadejte 2.\t\t\t\t|"<<endl;
    cout<<"\t \t\t  Volba: ";
    cin>>pokracovat;

    if (pokracovat<1 || pokracovat>2)
    {
        while (pokracovat<1 || pokracovat>2)
        {
            system("cls");
            cout<<"\t================================================================================="<<endl;
            cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
            cout<<"\t|\t\t\t\tCHYBA ZADANI\t\t\t\t\t|"<<endl;
            cout<<"\t|\t\tPro ANO zadejte 1, pro NE zadejte 2.\t\t\t\t|"<<endl;
            cout<<"\t Volba: ";
            cin>>pokracovat;
        }
    }
    return pokracovat;
}

void GUI::vypisChybaNutneVybratKombinaci()
{
    system("cls");
    zmenbarvu("fc");
    cout<<"\t================================================================================="<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t-=Je nutne vybrat alespon jednu kombinaci.=-\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t================================================================================="<<endl;
    cout<<"\t";
    system("pause");
    system("cls");
    zmenbarvu("f2");
}

void GUI::vypisPridanoOdebrano(bool pridano)
{
    system("cls");
    cout<<"\t================================================================================="<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    if (pridano)
        cout<<"\t|\t\t\t\t-=Kombinace vybrana=-\t\t\t\t|"<<endl;
    else
        cout<<"\t|\t\t\t\t-=Kombinace ODEBRANA=-\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t================================================================================="<<endl;
    cout<<"\t";
    system("pause");
    system("cls");
}

void GUI::vypisChybaZadani()
{
    system("cls");
    zmenbarvu("fc");
    cout<<"\t================================================================================="<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t-=Chyba zadani=-\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t================================================================================="<<endl;
    cout<<"\t";
    system("pause");
    system("cls");
    zmenbarvu("f2");
}

void GUI::vypisNelzeUkoncitKolo()
{
    system("cls");
    zmenbarvu("fc");
    cout<<"\t================================================================================="<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t|\t\t\t\t-=Chyba zadani=-\t\t\t\t|"<<endl;
    cout<<"\t|\t\tNelze ukoncit kolo. Nebylo dosazeno minima 350 bodu.\t\t|"<<endl;
    cout<<"\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t================================================================================="<<endl;
    //myPause();
    cout<<"\t";
    system("pause");
    system("cls");
    zmenbarvu("f2");
}


void GUI::zmenbarvu(string barva)
{
    string command= "color "+barva;
    system(command.c_str());
}

void GUI::myPause()
{
        cout<<"\t\t\t\t\t\t\t\tENTER >> dalsi tah ";
        getchar();
}

bool GUI::pridejOdeberVyber(int index)
{
    bool nalezena= false;
    for (int i=0; i<m_vybraneKombinace.size(); i++)
    {
        if (m_vybraneKombinace[i]==index)
        {
            m_vybraneKombinace.erase(std::remove(m_vybraneKombinace.begin(), m_vybraneKombinace.end(), index), m_vybraneKombinace.end());
            return nalezena;
        }
    }
    m_vybraneKombinace.push_back(index);
    return true;
}

void GUI::resetujVybraneKombinace()
{
    m_vybraneKombinace.clear();
}

std::vector<int> GUI::vratVybraneKombinace()
{
    return m_vybraneKombinace;
}

void GUI::zobrazAnalyzu(std::vector<sKombinace> kombinace, sKostkaPoradi pole[], std::vector<int> odlozene, int indexVybrane, int docasne)
{
    system("cls");
    cout<<"\t\t================================================================================="<<endl;
    cout<<"\t\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t\t|\t\t\t\tHod: ";
    for (int i=0; i<6; i++)
    {
        if (pole[i].hodnota!=0)
            cout<<pole[i].hodnota<<" ";
        else
            cout<<"- ";
    }
    cout<<"\t\t\t\t|"<<endl;

    cout<<"\t\t|\t\t\t   Odlozene: ";
    for (int i=0; i<odlozene.size(); i++)
        cout<<odlozene[i]<<" ";
    if(odlozene.size()<2)
        cout<<"\t";
    cout<<"\t\t\t\t\t|"<<endl;
    cout<<"\t\t|\t\t\t       Body: "<<docasne;
    if (docasne<100)
        cout<<"\t";
    cout<<"\t\t\t\t\t|"<<endl;
    cout<<"\t\t|\t\t\t\t\t\t\t\t\t\t|"<<endl;
    cout<<"\t\t================================================================================="<<endl;
    cout<<"\t\t|\t\t\t\tAnalyza Kombinaci";
    cout<<"\t\t\t\t|"<<endl;
    cout<<"\t\t================================================================================="<<endl;
    cout<<endl;

    int soucetBodyKomb=0;
    for (int i=0; i<kombinace.size(); i++)
        soucetBodyKomb += kombinace[i].body;

    int pocetKostekHodu= 6-odlozene.size();

    cout<<"\t   Kombinace\t\tbody\t\tztrata\t\tptsKomb\t\tptsUspech\tvolba"<<endl;
    cout<<"\t-----------------------------------------------------------------------------------------------"<<endl;
    for (int i=0; i<kombinace.size(); i++)
    {
        cout<<"\t   "<<i+1<<") ";
        for (int j=0; j<kombinace[i].kostkyKombinace.size(); j++)
        {
            cout<<kombinace[i].kostkyKombinace[j].hodnota<<" ";
        }
        cout<<"\t\t"<<kombinace[i].body;
        cout<<"\t\t"<<soucetBodyKomb-kombinace[i].body;
        cout<<"\t\t"<<m_statistika->calculateBinom(pocetKostekHodu, kombinace[i].kostkyKombinace.size(), 1/(double)6);
        m_statistika->generujkombinace(pocetKostekHodu-kombinace[i].kostkyKombinace.size());
        cout<<"\t"<<m_statistika->zpoctiPtsUspechu();

        if (i == indexVybrane)
            cout<<"\t<==";

        cout<<endl;

        m_statistika->vymazBodyCetnost();
    }

    //suma kombinaci
    if (kombinace.size()>1)
    {
        int bodysuma=0;
        int pouzite= 0;
        double pts=0;
        cout<<endl<<"\t   Vyber vsech kombinaci"<<endl<<"\t   V) ";
        for (int i=0; i<kombinace.size(); i++)
        {
            bodysuma +=kombinace[i].body;

            for (int j=0; j<kombinace[i].kostkyKombinace.size(); j++)
            {
                cout<<kombinace[i].kostkyKombinace[j].hodnota<<" ";
                pouzite++;
            }
        }
        if (pouzite<=4)
            cout<<"\t";
        cout<<"\t"<<bodysuma;
        cout<<"\t\t - ";

        //pts celkem
        pts= m_statistika->calculateBinom(pocetKostekHodu, kombinace[0].kostkyKombinace.size(), 1/(double)6);
        int pom= kombinace[0].kostkyKombinace.size();
        for (int i=1; i<kombinace.size(); i++)
        {
            pts *= m_statistika->calculateBinom(pocetKostekHodu-pom, kombinace[i].kostkyKombinace.size(), 1/(double)6);
            pom += kombinace[i].kostkyKombinace.size();
        }

        cout<<"\t\t"<<pts;
        m_statistika->generujkombinace(pocetKostekHodu-pom);
        cout<<"\t"<<m_statistika->zpoctiPtsUspechu();
        m_statistika->vymazBodyCetnost();
    }

    cout<<endl;
    cout<<"\t-----------------------------------------------------------------------------------------------"<<endl;

    //legenda
    cout<<endl<<"\tLegenda:"<<endl;
    cout<<"\tKombinace\thodnoty kostek tvoricich kombinaci"<<endl;
    cout<<"\tbody\t\tbodove ohodnoceni kombinace"<<endl;
    cout<<"\tztrata\t\tvyjadruje pocet bodu, ktere pri vyberu kombinace zahazujem"<<endl;
    cout<<"\tptsKomb\t\turcuje, s jakou pravdepodobnosti nam dana kombinace padla"<<endl;
    cout<<"\tptsUspech\turcuje, jakou mame sanci, ze po vyberu kombinace bude dalsi hod uspesny"<<endl;
    cout<<"\tvolba\t\tpokud pocitac kombinaci vybral, zobrazi se indikator \"<==\""<<endl;

    cout<<endl;
    cout<<"\t";
    system("pause");
    system("cls");
    zmenbarvu("f2");
}

void GUI::pocitacHruKonci()
{
    cout<<"\t\t================================================================================="<<endl;
    cout<<"\t\t|\t\t\t\t---Pocitac hru konci---";
    cout<<"\t\t\t\t|"<<endl;
    cout<<"\t\t================================================================================="<<endl;
}

void GUI::credits()
{
    system("CLS");
	cout<<"\n    \t=====================================================================";
	cout<<"\n    \t                           App. V Kostky                             ";
	cout<<"\n    \t---------------------------------------------------------------------";
	cout<<"\n    \t       Copyright (c) 2016 Lukas Hlavaty. All rights reserved.        ";
	cout<<"\n    \t=====================================================================";
	cout<<"\n \n \n";
    system("pause");
}

void GUI::uvitani()
{
    zmenbarvu("70");
	cout<<"\n    \t======================================================================";
	cout<<"\n    \t                           App. V Kostky                              ";
	cout<<"\n    \t----------------------------------------------------------------------";
	cout<<"\n    \t                   Vitejte v pocitacove hre VKostky                   ";
    cout<<"\n    \t                                                                      ";
    cout<<"\n    \t Hra vznikla v ramci bakalarske prace zamerene na umelou inteligenci. ";
    cout<<"\n    \t Ucelem hry je dosahnout bodove hranice 10 000 bodu drive nez pocita- ";
    cout<<"\n    \t                          covy protivnik                              ";
    cout<<"\n    \t                            Hodne stesti!                             ";
	cout<<"\n    \t======================================================================";
	cout<<"\n \n \n";
    system("pause");
    system("cls");
}

void GUI::vyhra(bool hrac, Player* p1, Player* p2)
{
    zmenbarvu("8b");
	cout<<"\n    \t**********************************************************************";
	if (hrac)
        cout<<"\n    \t                   ***Gratulujeme k vasi vyhre!***                    ";
    else
        cout<<"\n    \t                            Vyhral pocitac                            ";
	cout<<"\n    \t**********************************************************************"<<endl;

    cout<<endl;
    cout<<"    \t\t\t\tKonecne skore hrace: "<<p1->get_stavSkore()<<endl;
    cout<<"    \t\t\t     Konecne skore pocitace: "<<p2->get_stavSkore()<<endl;

	cout<<"\n \n \n";
    system("pause");
    system("cls");
}
